**CozyNet設定：**
1. 從[這裡](https://gitea.tendokyu.moe/PolarisPyra/cozynet)下載CozyNet。
2. 切換到CozyNet目錄：`cd CozyNet`
3. 安裝Python相依性：
   
   ```bash
   pip install tqdm pillow
   ```
4. 執行在`CozyNet/pythonscripts`中的Python script（腳本）：
   
   - 用於抓取圖片：
  
     ```bash
     python imagegrabber.py "C:\Users\polaris\Documents\Chunithm SUN (SDHD 2.10.01)\App\data" "C:\Users\<name>\Documents\Chunithm SUN (SDHD 2.10.01)\App\bin\option" "C:\Users\<name>\Desktop\output"
     ```
   - 用於抓取資料：
  
     ```bash
     python datagrabber.py "C:\Users\polaris\Documents\Chunithm SUN (SDHD 2.10.01)" "C:\Users\<name>\Desktop\output"
     ```
5. 在CozyNet目錄中建立一個`.env`檔案，內容如下：
   ```
   NEXT_PUBLIC_ARTEMIS_API_URL=http://localhost:4000
   NEXT_PUBLIC_CDN=/
   NEXT_PUBLIC_COOKIE_SECURE_HTTPS= true || false（如果在具有https的生產環境中運行，請設為true。如果在localhost上運行，請設為false）
   ```
6. 將`output/`的檔案移動到`CozyNet/public`。
7. 將`data/`的檔案移動到`CozyNet/src/lib`（包括稱為 `accessory, mapicon, nameplate, systemvoice, trophy` 的 TypeScript (ts) 檔案）。
8. 安裝相依性並啟動CozyNet：
   ```bash
   npm install
   npm run dev
   ```
9. CozyNet應該可在`localhost:3000`訪問。

**Artemis API設定：**
1. 從[這裡](https://gitea.tendokyu.moe/PolarisPyra/artemisapi)下載Artemis API。
2. 切換到Artemis API目錄：`cd ArtemisApi`
3. 安裝Node.js相依性：`npm install`
4. 在資料庫中為CozyNet Rivals WebUI建立一個新表：
   
   ```sql
   CREATE TABLE IF NOT EXISTS cozynet_rival_codes(
       id INTEGER PRIMARY KEY,
       rival_code INTEGER NOT NULL,
       FOREIGN KEY (id) REFERENCES aime_user(id) ON DELETE CASCADE
   );
   ```
5. 於根目錄建立稱為`.env.development`或`.env.production`的檔案並配置Artemis API環境： 
   ```
   JWT_SECRET=mystrongsecret
   host=aime
   user=aime
   password=dbpassword
   database=aime
   port=3306
   ```
6. 啟動Artemis API：
   ```bash
   npm run start:dev   # 開發用 (development)
   npm run start:prod  # 生產用 (production)
   ```