import AvatarCustomizationData from "@/components/CharacterCustomization"
import PlayerMapIconComponent from "@/components/PlayerMapIcon"
import SystemVoiceComponent from "@/components/PlayerSystemVoice"
import PlayerTeamComponent from "@/components/PlayerTeams"
import NavigationBar from "@/components/shared/NavigationBar/NavigationBar"
import PlayerTrophyComponent from "@/components/PlayerTrophy"
import PlayerNamePlateComponent from "@/components/PlayerNameplate"
import RivalComponent from "@/components/PlayerRivals"
import { FaHeart } from "react-icons/fa" // Import heart icon from react-icons library
import Link from "next/link" // Import Link from next/link
import CharacterCard from "@/components/CharacterCard"
const UserBox = () => {
  return (
    <div className="min-h-screen bg-background p-4 lg:p-2">
      <NavigationBar />
      <div className="dark:bg-base bg-lightbackgroundmin-h-screen flex flex-col items-center ">
        <div className="">
          <div className="mt-4 w-full">
            <AvatarCustomizationData />
          </div>
          <div className="mt-4 w-full">
            <PlayerNamePlateComponent />
          </div>
          <div className="mt-4 w-full">
            <PlayerTrophyComponent />
          </div>
          <div className="mt-4 w-full">
            <SystemVoiceComponent />
          </div>
          <div className="mt-4 w-full">
            <PlayerMapIconComponent />
          </div>
          <div className="mt-4 w-full">
            <PlayerTeamComponent />
          </div>
          <div className="mt-4 w-full">
            <RivalComponent />
          </div>
          <Link href="/favorites">
            {" "}
            {/* Replace '/favorites' with the actual path of your favorites page */}
            <div className="hover:bg-color13 dark:hover:bg-mantle mt-4 flex h-[120px]  w-full cursor-pointer flex-col items-center justify-center rounded-sm bg-subsectionbackgroundcolor p-4">
              <FaHeart
                className="mr-2 text-heartcolornormal"
                style={{ fontSize: "5em" }}
              />
              <span className="mt-2 text-sm font-bold text-typography ">
                FAVORITES
              </span>
            </div>
          </Link>
        </div>
      </div>
    </div>
  )
}

export default UserBox
