"use client"
import React from "react"
import { useSettings } from "@/app/context/SettingsContext"
import { Switch } from "@/components/ui/switch"
import { ModeToggle } from "./darkmodetoggle"
import { Label } from "@/components/ui/label"
import { PasswordResetForm } from "./PlayerPasswordReset"
const SettingsPage: React.FC = () => {
  const { isAverageEnabled, toggleAverage } = useSettings()
  const { isBestPossibleEnabled, toggleBestPossible } = useSettings()
  return (
    <div className="absolute pl-1 lg:pl-10 xl:pl-10">
      <div className="rounded-sm bg-subsectionbackgroundcolor p-4">
        <h1 className="mb-4 text-xl font-bold text-typography">UI Settings</h1>
        <div className="flex items-center space-x-2">
          <div className="flex items-center space-x-2">
            <Switch
              id="airplane-mode"
              checked={isAverageEnabled}
              onCheckedChange={toggleAverage}
            />
            <Label htmlFor="airplane-mode" className="text-typography">
              Average Rating
            </Label>
          </div>
        </div>
        <div className="pt-2"></div>
        <div className="flex items-center space-x-2">
          <Switch
            id="airplane-mode"
            checked={isBestPossibleEnabled}
            onCheckedChange={toggleBestPossible}
          />
          <Label htmlFor="airplane-mode" className="text-typography">
            Show best rating formula rating on score card
          </Label>
        </div>
        <div className="mt-2 flex items-center">
          <ModeToggle />
          <span className="ml-2 text-lg text-typography">Select Theme</span>
        </div>
      </div>
    </div>
  )
}

export default SettingsPage
