"use client"
import { useState } from "react"
import { UsePlayerAimeCard } from "@/app/axios/useFetchApi"
import { Input } from "./ui/input"

interface AimeCardProps { }

const AimeCard: React.FC<AimeCardProps> = () => {
  const [playAimeCard, setPlayAimeCard] = useState<any>({})
  const [showNumbers, setShowNumbers] = useState(false)

  UsePlayerAimeCard({
    setPlayAimeCard,
    setLoading: () => { },
    setError: () => { },
  })

  const toggleShowNumbers = () => {
    setShowNumbers(!showNumbers)
  }
  const formatCardNumber = () => {
    const cardNumber = playAimeCard?.accessCode || ""
    if (showNumbers) {
      return cardNumber
    } else {
      const visiblePart = cardNumber.slice(0, 4)
      const hiddenPart = cardNumber.slice(4, -4).replace(/[0-9]/g, "*")
      const lastFourDigits = cardNumber.slice(-4)
      return `${visiblePart}${hiddenPart}${lastFourDigits}`
    }
  }
  return (
    <div className="flex items-center justify-center">
      <div className="w-[390px] max-w-md rounded-sm bg-subsectionbackgroundcolor p-2">
        <div className="mb-2">
          <label className="mb-2 block pb-1 pt-1 text-sm font-bold text-typography">
            Aime Card Number
          </label>
          <div className="relative">
            <Input
              type="text"
              value={formatCardNumber()}
              readOnly
              className="w-full rounded-md border border-gray-300 px-4 py-2 font-mono text-typography focus:border-transparent focus:outline-none"
            />
            <button
              onClick={toggleShowNumbers}
              className="absolute right-4 top-1/2 -translate-y-1/2 transform rounded-md px-2 py-1 text-typography"
            >
              {showNumbers ? "Hide" : "View"}
            </button>
          </div>
        </div>
      </div>
    </div>
  )
}

export default AimeCard
