export interface ScoreCardProps {
  userPlayDate: string
  title: string
  rating_change: string
  genre: string
  score: number
  isNewRecord: number
  isAllJustice: number
  judgeJustice: number
  judgeAttack: number
  chartId: number
  judgeGuilty: number
  artist: string
  judgeHeaven: number
  judgeCritical: number
  level: string
  isClear: number
  isFullCombo: number
  maxCombo: number
  rating: number
  jacketPath: string
}

export type PlayerData = {
  trophyId: number
  itemId: string
  name: string
}

export type PlayerTrophiesData = {
  name: string
  itemId: string
  rareType: number
  trophyId: string
  isClear: number
  isAllJustice: number
}

export type DropdownOption = {
  name: string
  itemId: string
  rareType: number
  trophyId: string
}

export type DropdownProps = {
  options: DropdownOption[]
  onChange: (id: string) => void
  label: string
  trophyId: number
}

export type PlayerTeamData = {
  teamName: string
  id: number
  teamPoint: number
}

export type PlayerVoiceData = {
  voiceId: string
}

export type DropdownVoiceOption = {
  str: string
  id: string
}

export type DropdownVoiceProps = {
  options: DropdownVoiceOption[]
  onChange: (id: string) => void
  str: string
  id: string
}

export type RivalData = {
  user1: string
  rivalCode: string
  version: number
}

export type PlayerNameplateData = {
  nameplateId: string
}

export type Nameplate = {
  nameplateId: string
  str: string
  imagePath: string
}

export type DropdownNameplateOption = {
  str: string
  nameplateId: string
  imagePath: string
}

export type DropdowNameplateProps = {
  options: DropdownNameplateOption[]
  onChange: (nameplateId: string) => void
  str: string
  id: string
}

export interface songCardProps {
  title: string
  songId: number
  artist: string
  jacketPath: string
}

export interface JacketImageProps {
  jacketPath: string
}
