import type { Config } from "tailwindcss";

const config = {
  darkMode: ["class"],
  content: [
    "./pages/**/*.{ts,tsx}",
    "./components/**/*.{ts,tsx}",
    "./app/**/*.{ts,tsx}",
    "./src/**/*.{ts,tsx}",
  ],
  prefix: "",
  theme: {
    container: {
      center: true,
      padding: "2rem",
      screens: {
        "2xl": "1400px",
      },
    },
    extend: {
      colors: {
        border: "hsl(var(--border))",
        input: "hsl(var(--input))",
        ring: "hsl(var(--ring))",
        background: "hsl(var(--background))",
        foreground: "hsl(var(--foreground))",
        primary: {
          DEFAULT: "hsl(var(--primary))",
          foreground: "hsl(var(--primary-foreground))",
        },
        secondary: {
          DEFAULT: "hsl(var(--secondary))",
          foreground: "hsl(var(--secondary-foreground))",
        },
        destructive: {
          DEFAULT: "hsl(var(--destructive))",
          foreground: "hsl(var(--destructive-foreground))",
        },
        muted: {
          DEFAULT: "hsl(var(--muted))",
          foreground: "hsl(var(--muted-foreground))",
        },
        accent: {
          DEFAULT: "hsl(var(--accent))",
          foreground: "hsl(var(--accent-foreground))",
        },
        popover: {
          DEFAULT: "hsl(var(--popover))",
          foreground: "hsl(var(--popover-foreground))",
        },
        card: {
          DEFAULT: "hsl(var(--card))",
          foreground: "hsl(var(--card-foreground))",
        },
        typography: {
          DEFAULT: "hsl(var(--typography))",
          foreground: "hsl(var(--typography-foreground))",
        },
        scorecardbadge: {
          DEFAULT: "hsl(var(--scorecardbadge))",
          foreground: "hsl(var(--scorecardbadge-foreground))",
        },
        playertrophybadge: {
          DEFAULT: "hsl(var(--playertrophybadge))",
          foreground: "hsl(var(--playertrophybadge-foreground))",
        },
        characterbadgetypography: {
          DEFAULT: "hsl(var(--characterbadgetypography))",
          foreground: "hsl(var(--characterbadgetypography-foreground))",
        },
        ratingsame: {
          DEFAULT: "hsl(var(--ratingsame))",
          foreground: "hsl(var(--ratingsame-foreground))",
        },
        ratingincrease: {
          DEFAULT: "hsl(var(--ratingincrease))",
          foreground: "hsl(var(--ratingincrease-foreground))",
        },
        ratingdecrease: {
          DEFAULT: "hsl(var(--ratingdecrease))",
          foreground: "hsl(var(--ratingdecrease-foreground))",
        },
        expertbadgecolor: {
          DEFAULT: "hsl(var(--expertbadgecolor))",
          foreground: "hsl(var(--expertbadgecolor-foreground))",
        },
        masterbadgecolor: {
          DEFAULT: "hsl(var(--masterbadgecolor))",
          foreground: "hsl(var(--masterbadgecolor-foreground))",
        },
        basicbadgecolor: {
          DEFAULT: "hsl(var(--basicbadgecolor))",
          foreground: "hsl(var(--basicbadgecolor-foreground))",
        },
        advancebadgecolor: {
          DEFAULT: "hsl(var(--advancebadgecolor))",
          foreground: "hsl(var(--advancebadgecolor-foreground))",
        },
        worldsendbadgecolor: {
          DEFAULT: "hsl(var(--worldsendbadgecolor))",
          foreground: "hsl(var(--worldsendbadgecolor-foreground))",
        },
        newbadgecolor: {
          DEFAULT: "hsl(var(--newbadgecolor))",
          foreground: "hsl(var(--newbadgecolor-foreground))",
        },
        scoretext: {
          DEFAULT: "hsl(var(--scoretext))",
          foreground: "hsl(var(--scoretext-foreground))",
        },
        justicecriticaltext: {
          DEFAULT: "hsl(var(--justicecriticaltext))",
          foreground: "hsl(var(--justicecriticaltext-foreground))",
        },
        justicetext: {
          DEFAULT: "hsl(var(--justicetext))",
          foreground: "hsl(var(--justicetext-foreground))",
        },
        attacktext: {
          DEFAULT: "hsl(var(--attacktext))",
          foreground: "hsl(var(--attacktext-foreground))",
        },
        misstext: {
          DEFAULT: "hsl(var(--misstext))",
          foreground: "hsl(var(--misstext-foreground))",
        },
        segmentedtabnotactive: {
          DEFAULT: "hsl(var(--segmentedtabnotactive))",
          foreground: "hsl(var(--segmentedtabnotactive-foreground))",
        },
        segmentedtabactive: {
          DEFAULT: "hsl(var(--segmentedtabactive))",
          foreground: "hsl(var(--segmentedtabactive-foreground))",
        },
        segmentedtabtext: {
          DEFAULT: "hsl(var(--segmentedtabtext))",
          foreground: "hsl(var(--segmentedtabtext-foreground))",
        },
        songjacketborder: {
          DEFAULT: "hsl(var(--songjacketborder))",
          foreground: "hsl(var(--songjacketborder-foreground))",
        },
        buttonbackgroundcolor: {
          DEFAULT: "hsl(var(--buttonbackgroundcolor))",
          foreground: "hsl(var(--buttonbackgroundcolor-foreground))",
        },
        subsectionbackgroundcolor: {
          DEFAULT: "hsl(var(--subsectionbackgroundcolor))",
          foreground: "hsl(var(--subsectionbackgroundcolor-foreground))",
        },
        typographydropdown: {
          DEFAULT: "hsl(var(--typographydropdown))",
          foreground: "hsl(var(--typographydropdown-foreground))",
        },

        buttonhovercolor: {
          DEFAULT: "hsl(var(--buttonhovercolor))",
          foreground: "hsl(var(--buttonhovercolor-foreground))",
        },
        cardsectionbackgroundcolor: {
          DEFAULT: "hsl(var(--cardsectionbackgroundcolor))",
          foreground: "hsl(var(--cardsectionbackgroundcolor-foreground))",
        },
        scorecardbadgetypography: {
          DEFAULT: "hsl(var(--scorecardbadgetypography))",
          foreground: "hsl(var(--scorecardbadgetypography-foreground))",
        },
        paginationtypography: {
          DEFAULT: "hsl(var(--paginationtypography))",
          foreground: "hsl(var(--paginationtypography-foreground))",
        },
        paginationhover: {
          DEFAULT: "hsl(var(--paginationhover))",
          foreground: "hsl(var(--paginationhover-foreground))",
        },
        paginationbackground: {
          DEFAULT: "hsl(var(--paginationbackground))",
          foreground: "hsl(var(--paginationbackground-foreground))",
        },
        paginationtypographyhover: {
          DEFAULT: "hsl(var(--paginationtypographyhover))",
          foreground: "hsl(var(--paginationtypographyhover-foreground))",
        },
        segmentedtabactivetypography: {
          DEFAULT: "hsl(var(--segmentedtabactivetypography))",
          foreground: "hsl(var(--segmentedtabactivetypography-foreground))",
        },
        bestrecentratingcolor: {
          DEFAULT: "hsl(var(--bestrecentratingcolor))",
          foreground: "hsl(var(--bestrecentratingcolor-foreground))",
        },
        heartcolorfave: {
          DEFAULT: "hsl(var(--heartcolorfave))",
          foreground: "hsl(var(--heartcolorfave-foreground))",
        },
        heartcolornormal: {
          DEFAULT: "hsl(var(--heartcolornormal))",
          foreground: "hsl(var(--heartcolornormal-foreground))",
        },
        playertrophytext: {
          DEFAULT: "hsl(var(--playertrophytext))",
          foreground: "hsl(var(--playertrophytext-foreground))",
        },
        segmentedtabtexthover: {
          DEFAULT: "hsl(var(--segmentedtabtexthover))",
          foreground: "hsl(var(--segmentedtabtexthover-foreground))",
        },
        texthover: {
          DEFAULT: "hsl(var(--texthover))",
          foreground: "hsl(var(--texthover-foreground))",
        },
        playerteambadge: {
          DEFAULT: "hsl(var(--playerteambadge))",
          foreground: "hsl(var(--playerteambadge-foreground))",
        },
        buttontexthovercolor: {
          DEFAULT: "hsl(var(--buttontexthovercolor))",
          foreground: "hsl(var(--buttontexthovercolor-foreground))",
        },
      },
      borderRadius: {
        lg: "var(--radius)",
        md: "calc(var(--radius) - 2px)",
        sm: "calc(var(--radius) - 4px)",
      },
      keyframes: {
        "accordion-down": {
          from: { height: "0" },
          to: { height: "var(--radix-accordion-content-height)" },
        },
        "accordion-up": {
          from: { height: "var(--radix-accordion-content-height)" },
          to: { height: "0" },
        },
      },
      animation: {
        "accordion-down": "accordion-down 0.2s ease-out",
        "accordion-up": "accordion-up 0.2s ease-out",
      },
    },
  },
  plugins: [require("tailwindcss-animate")],
} satisfies Config;

export default config;
